Nikon Posted March 20 Share Posted March 20 (edited) 20 minutes ago, Butch said: Is it possible to add a prefix like "+" or "-" signs? "-" it's in the code Edited March 20 by Nikon Quote Link to comment Share on other sites More sharing options...
Butch Posted March 20 Author Share Posted March 20 Thanx! Once the lisp is loaded, the first time it asks for global scale.....how to change the gobal scale latter on? Is it possible to define custom elevation marker like in the capture (triangle) Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 20 Share Posted March 20 (edited) 1 hour ago, Butch said: how to change the gobal scale latter on? It is possible to press ENTER when prompted In order for the scale (factor, suffix) to be requested at each selection, you need to change 1 string (defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 scale factor suffix obj# obj) Edited March 20 by Nikon Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 20 Share Posted March 20 1 hour ago, Butch said: elevation marker like in the capture (triangle) Only the author @Tsuky can help with the triangle Quote Link to comment Share on other sites More sharing options...
Butch Posted March 20 Author Share Posted March 20 Im attaching my elevation marker. Its made from hatch, line (0,18mm linewidth), and text (wich is either 10 or 20 units high). Any chance this could be incorporated? elevation marker.dwg Quote Link to comment Share on other sites More sharing options...
Tsuky Posted March 20 Share Posted March 20 (edited) @Butch I incorporated your marker For the '+' sign I put it as a prefix, there is no other way with the fields (you cannot make conditions in them). The downside is that for negative numbers it will display '+-'. If you want to return as before, remove the '+' on line 471 (leaving the comma after) level-pt(Butch).lsp Edited March 21 by Tsuky Improved code for inserting '+' and '-' sign 1 Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 20 Share Posted March 20 (edited) 3 hours ago, Tsuky said: I incorporated your marker If you run level-pt(Butch).lsp and level-pt.lsp in the same file, then the blocks are displayed incorrectly, since they have the same name "LEVEL-OBJ". This name needs to be changed in the level-pt(Butch) lisp, for example, to "LEVEL-OBJ1", or don't use lisps in the same file. Edited March 20 by Nikon Quote Link to comment Share on other sites More sharing options...
Tsuky Posted March 20 Share Posted March 20 @Nikon I customized it for Butch, I think he will only use this one, so the block names (although you are right) don't matter. I even took his definition of his marker from his DWG which keeps the same appearance.. Why use a solid hatch when a simple solid has exactly the same appearance, it unnecessarily weighs down its definition. Its text has a Z at -11.88, why?!! The properties are of the bylayer and not of the byblock. Object definition coordinates have decimal places up to the maximum that autocad can display, completely useless for a symbol. Why make it simple when you can make it complicated... This marker symbol block was done on the fly over the leg in my opinion, so!.... 1 Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 21 Share Posted March 21 9 hours ago, Tsuky said: I customized it for Butch My warning about the block name was in case someone wanted to test 2 lisps in one file... Quote Link to comment Share on other sites More sharing options...
Butch Posted March 21 Author Share Posted March 21 Tsuky thnk you ver yver ymuch for this! But there is a problem....see attached....when the elevation marker is set below the reference point, I get + and - signes together. Can you fix this? Quote Link to comment Share on other sites More sharing options...
Butch Posted March 21 Author Share Posted March 21 20 hours ago, Nikon said: It is possible to press ENTER when prompted In order for the scale (factor, suffix) to be requested at each selection, you need to change 1 string (defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 scale factor suffix obj# obj) Nikon, I dont understand how you managed to "reset" the gobal scale inside the same dwg one you loaded the lisp....Can you please explain this. Thank you Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 21 Share Posted March 21 (edited) 23 hours ago, Butch said: Nikon, I dont understand how you managed to "reset" the gobal scale inside the same dwg one you loaded the lisp No, you probably can't reset it. But you can choose a new one or repeat the previous one, if you add a scale to the first line (defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 factor suffix obj# obj) (defun c:LEVEL-PT ( / pt ss e_ref ang dxf_210 scale factor suffix obj# obj) Edited March 22 by Nikon Quote Link to comment Share on other sites More sharing options...
Tsuky Posted March 21 Share Posted March 21 @Butch Finally I managed to solve the problem with the sign "+/-". I updated your custom code in the relevant post. Please re-upload it. 1 Quote Link to comment Share on other sites More sharing options...
Tsuky Posted March 21 Share Posted March 21 @Nikon I also updated the original LEVEL-PT code in the relevant post by including the scale and the sign "+/-" 1 Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 21 Share Posted March 21 (edited) 38 minutes ago, Tsuky said: @Nikon I also updated the original LEVEL-PT code in the relevant post by including the scale and the sign "+/-" @Tsuky That's great!!! Thank you very much!!! *** *** *** There is only a question of the orientation of the block to the left... This cannot be solved by turning... This is not necessary... I can use a mirror... Edited March 21 by Nikon Quote Link to comment Share on other sites More sharing options...
Butch Posted March 21 Author Share Posted March 21 45 minutes ago, Tsuky said: @Butch Finally I managed to solve the problem with the sign "+/-". I updated your custom code in the relevant post. Please re-upload it. Thank you very much! ITS WORKING! Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 22 Share Posted March 22 (edited) 22 hours ago, Tsuky said: @Nikon I also updated the original LEVEL-PT code in the relevant post by including the scale and the sign "+/-" @Tsuky In the updated code, the LEVEL-REF (0.00) block began to be displayed as 0. How is it possible to return 0.00, or is it better to make 0.000? Can you tell me where to fix it? I succeeded with the field for the LEVEL-OBJ block \\f \"%lu2%pr3%ps[" Edited March 22 by Nikon Quote Link to comment Share on other sites More sharing options...
Tsuky Posted March 22 Share Posted March 22 @Nikon If you want to correlate the precision of the LEVEL-REF block, just change at the line 350 (cons 1 (rtos 0.0 2 2)) -> (cons 1 (rtos 0.0 2 3)) Be carrefull to the value of the DIMZIN variable which can influence the display of leading or trailing zeros. 1 Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 22 Share Posted March 22 (edited) 42 minutes ago, Tsuky said: just change at the line 350 (cons 1 (rtos 0.0 2 2)) -> (cons 1 (rtos 0.0 2 3)) Be carrefull to the value of the DIMZIN variable I have DIMZIN 8 (metric) if DIMZIN 0, then 0.000. But I work in metric units... It's not clear to me... Perhaps need to set DIMZIN=0 the code, and then return the value DIMZIN=8? Edited March 22 by Nikon Quote Link to comment Share on other sites More sharing options...
Nikon Posted March 22 Share Posted March 22 (edited) I am changing (cons 1 (rtos 0.0 2 3)), I add it at the beginning of the code: (setq olddimzin (getvar 'dimzin)) (setvar 'dimzin 0) and at the end of the code (setvar "dimzin" olddimzin) block 0 is displayed as 0.000 Can add a mirror request to the code? Or is it difficult? Edited March 24 by Nikon Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.